package cn.hmsoft.ai.face;

import cn.hmsoft.frame.constants.FrameSex;

/******************
 * 证件照
 * 
 * @author Administrator
 *
 */
public class FacePhoto {
	/*****************
	 * 照片ID号
	 */
	private String photo_id;
	/******************
	 * 人脸概率
	 */
	private int face_probability;

	/*************
	 * 人脸旋转度
	 */
	private int face_rotation;

	/*************
	 * 人脸高度
	 */
	private double face_height;
	/**************
	 * 人脸宽度
	 */

	private double face_width;

	/*************
	 * 人脸高度百分比
	 */
	private double face_height_percent;
	/**************
	 * 人脸宽度百分比
	 */

	private double face_width_percent;
	/**************
	 * 人脸左边距
	 */

	private double face_left;
	/**************
	 * 人脸上边距
	 */

	private double face_top;

	/**************
	 * 美颜程度
	 */
	private double person_beauty;

	/*****************
	 * 年龄
	 */
	private int person_age;

	/****************
	 * 性别
	 */
	private FrameSex person_sex;

	/************
	 * 性别概率
	 */
	private int person_sex_probability;

	/********************
	 * 是否识别成功
	 */
	private boolean success = false;
	/**************
	 * 是否是证件照
	 */
	private boolean id_photo = false;

	private double photo_height;
	private double photo_width;

	/****************
	 * 图片中一共有几个人
	 */
	private Integer person_total;

	/**************
	 * 是否居中
	 */
	private boolean person_center;

	/****************
	 * 人像占比
	 */
	private Integer person_percent;
	/**************
	 * 错误信息
	 */
	private String error_msg;

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public boolean isId_photo() {
		return id_photo;
	}

	public void setId_photo(boolean id_photo) {
		this.id_photo = id_photo;
	}

	public Integer getPerson_total() {
		return person_total;
	}

	public void setPerson_total(Integer person_total) {
		this.person_total = person_total;
	}

	public boolean isPerson_center() {
		return person_center;
	}

	public void setPerson_center(boolean person_center) {
		this.person_center = person_center;
	}

	public Integer getPerson_percent() {
		return person_percent;
	}

	public void setPerson_percent(Integer person_percent) {
		this.person_percent = person_percent;
	}

	public String getError_msg() {
		return error_msg;
	}

	public void setError_msg(String error_msg) {
		this.error_msg = error_msg;
	}

	public String getPhoto_id() {
		return photo_id;
	}

	public void setPhoto_id(String photo_id) {
		this.photo_id = photo_id;
	}

	public int getFace_probability() {
		return face_probability;
	}

	public void setFace_probability(int face_probability) {
		this.face_probability = face_probability;
	}

	public int getPerson_age() {
		return person_age;
	}

	public void setPerson_age(int person_age) {
		this.person_age = person_age;
	}

	public FrameSex getPerson_sex() {
		return person_sex;
	}

	public void setPerson_sex(FrameSex person_sex) {
		this.person_sex = person_sex;
	}

	public int getPerson_sex_probability() {
		return person_sex_probability;
	}

	public void setPerson_sex_probability(int person_sex_probability) {
		this.person_sex_probability = person_sex_probability;
	}

	public int getFace_rotation() {
		return face_rotation;
	}

	public void setFace_rotation(int face_rotation) {
		this.face_rotation = face_rotation;
	}

	public double getFace_height() {
		return face_height;
	}

	public void setFace_height(double face_height) {
		this.face_height = face_height;
	}

	public double getFace_width() {
		return face_width;
	}

	public void setFace_width(double face_width) {
		this.face_width = face_width;
	}

	public double getFace_left() {
		return face_left;
	}

	public void setFace_left(double face_left) {
		this.face_left = face_left;
	}

	public double getFace_top() {
		return face_top;
	}

	public void setFace_top(double face_top) {
		this.face_top = face_top;
	}

	public double getPhoto_height() {
		return photo_height;
	}

	public void setPhoto_height(double photo_height) {
		this.photo_height = photo_height;
	}

	public double getPhoto_width() {
		return photo_width;
	}

	public void setPhoto_width(double photo_width) {
		this.photo_width = photo_width;
	}

	public double getPerson_beauty() {
		return person_beauty;
	}

	public void setPerson_beauty(double person_beauty) {
		this.person_beauty = person_beauty;
	}

	public double getFace_height_percent() {
		return face_height_percent;
	}

	public void setFace_height_percent(double face_height_percent) {
		this.face_height_percent = face_height_percent;
	}

	public double getFace_width_percent() {
		return face_width_percent;
	}

	public void setFace_width_percent(double face_width_percent) {
		this.face_width_percent = face_width_percent;
	}

}
